List generated reports
Retrieve a list of generated reports.
You can use query parameters to filter, sort, and paginate the results.
Documentation Index
Fetch the complete documentation index at: https://gcore-doc-1046.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Filter by creation date-time.
Returns items created after the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_after=2025-05-15&created_after=2025-05-15 12:00:00&created_after=2025-05-15T12:00:00Z
Filter by creation date-time.
Returns items created before the specified date-time (ISO 8601/RFC 3339 format, UTC.)
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_before=2025-05-15&created_before=2025-05-15 12:00:00&created_before=2025-05-15T12:00:00Z
Number of results to return per page. Maximum is 100.
The initial index from which to return the results.
Ordering of the results.
Default sort order is ascending. Put - before value for descending sort order: -id.
For sorting by multiple parameters write them as comma separated string: -client_id,id.
uuid- Uuid-uuid- Uuid (descending)created_at- Created at-created_at- Created at (descending)client_id- Client id-client_id- Client id (descending)task_type- Task type-task_type- Task type (descending)status- Status-status- Status (descending)template- Template-template- Template (descending)
-client_id, -created_at, -status, -task_type, -template, -uuid, client_id, created_at, status, task_type, template, uuid Filter by file task statuses. Can be multiple.
Pending- pendingInProgress-in_progressCompleted- completedFailed- failedCancelled- cancelled
Cancelled, Completed, Failed, InProgress, Pending Filter by the type of the report template. Allows partial matches.
Filter by task UUID. Supports partial matches starting from the beginning.